package com.nantian.cloud.dbcapp.mapper.record;

import com.nantian.cloud.dbcapp.bean.PublicInstitutionAverage;
import com.nantian.cloud.dbcapp.bean.PublicInstitutionNumDomain;
import com.nantian.cloud.dbcapp.bean.PublicInstutionArea;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PublicInstutionNumMapper {
    PublicInstitutionNumDomain getPublicInstutionNum(@Param("area") String area, @Param("instution") String instution, @Param("time") String time);
    PublicInstitutionAverage getPublicInstitutionAverageNum(@Param("area") String area, @Param("instution") String instution, @Param("time") String time);
    String getPublicInstitutionArea(@Param("area") String area);
    List<PublicInstutionArea> queryArea();
    List<PublicInstitutionNumDomain> getPublicInstitutionNumDomain(@Param("instution") String instution, @Param("time") String time);
    List<PublicInstitutionAverage> getPublicInstitutionAverage(@Param("time") String time);
}
